Download it now!
Bug 131996 - HTML Export Wizard - Button selector not working
Summary: HTML Export Wizard - Button selector not working
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-04-09 10:23 UTC by andreas_k
Modified: 2020-04-16 05:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
HTML Button selector (43.12 KB, image/png)
2020-04-09 10:23 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2020-04-09 10:23:54 UTC
Created attachment 159444 [details]
HTML Button selector

Steps:
1. Open impress
2. File - Export - HTML Document (Impress)
3. Go through the wizard and pick some buttons at the 5th step, Create

Observe the pngs in the directory where the HTML was exported to. The buttons should be there as PNGs.

Bibisected with Linux 6.4 repo. This changed with https://git.libreoffice.org/core/+/b94214350e6e3d0252c09f203a3ce7807a179f90%5E!/
weld SdPublishingDlg
Comment 1 andreas_k 2020-04-09 10:26:04 UTC
The button png files wasn't copied to the export dictionary after the submitted patch.

As in the zip file there are also svg files, if it's possible to use the svg files I will add only svg. Two icon themes don't have svg files, but this I can update/fix.
Comment 2 Buovjaga 2020-04-09 10:38:14 UTC
Spun off from https://bugs.documentfoundation.org/show_bug.cgi?id=131870#c5 and bibisected by me

Adding Cc: to Caolán McNamara
Comment 3 Commit Notification 2020-04-09 18:35:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fae050ebf984fb70fc8328419c6da4b8895d582f

Resolves: tdf#131996 set_sensitive should be set_active

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2020-04-09 18:38:58 UTC
fixed in master, backport to 6-4 in gerrit
Comment 5 Buovjaga 2020-04-10 12:09:53 UTC
Thanks, verified!

Arch Linux 64-bit
Version: 7.0.0.0.alpha0+
Build ID: c728c9df75344f431817d876b73ec867c7d449f6
CPU threads: 8; OS: Linux 5.6; UI render: default; VCL: kf5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 10 April 2020
Comment 6 Commit Notification 2020-04-16 05:23:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d44dba1a56052e87b879ac986ad14a63bbca357d

Resolves: tdf#131996 set_sensitive should be set_active

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.